#ifndef _Handle_PTopoDS_Solid_HeaderFile
#define _Handle_PTopoDS_Solid_HeaderFile

#ifndef _Standard_Macro_HeaderFile
#include <Standard_Macro.hxx>
#endif

#ifndef _Handle_PTopoDS_HShape_HeaderFile
#include <Handle_PTopoDS_HShape.hxx>
#endif
#ifndef _Standard_HeaderFile
#include <Standard.hxx>
#endif

class Standard_Persistent;
class Handle_Standard_Type;
class Handle(PTopoDS_HShape);
class PTopoDS_Solid;
Standard_EXPORT Handle_Standard_Type& STANDARD_TYPE(PTopoDS_Solid);

class Handle(PTopoDS_Solid) : public Handle(PTopoDS_HShape) {
  public:

    Handle(PTopoDS_Solid)():Handle(PTopoDS_HShape)() {} 
    Handle(PTopoDS_Solid)(const Handle(PTopoDS_Solid)& aHandle) : Handle(PTopoDS_HShape)(aHandle) 
     {
     }

    Handle(PTopoDS_Solid)(const PTopoDS_Solid* anItem) : Handle(PTopoDS_HShape)((PTopoDS_HShape *)anItem) 
     {
     }

    Handle(PTopoDS_Solid)& operator=(const Handle(PTopoDS_Solid)& aHandle)
     {
      Assign(aHandle.Access());
      return *this;
     }

    Handle(PTopoDS_Solid)& operator=(const PTopoDS_Solid* anItem)
     {
      Assign((Standard_Persistent *)anItem);
      return *this;
     }

    PTopoDS_Solid* operator->() const 
     {
      return (PTopoDS_Solid *)ControlAccess();
     }

   Standard_EXPORT static const Handle(PTopoDS_Solid) DownCast(const Handle(Standard_Persistent)& AnObject);
};
#endif
